#
# spec file for package freealut
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define sover   0
%define lname   libalut%{sover}
Name:           freealut
Version:        1.1.0
Release:        bp153.1.23
Summary:        freealut is a free implementation of OpenAL's ALUT standard
License:        LGPL-2.1-or-later
Group:          Development/Libraries/C and C++
Url:            http://connect.creativelabs.com/openal/default.aspx
Source:         %{name}-%{version}.tar.bz2
Source2:        baselibs.conf
BuildRequires:  cmake
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(openal)

%description
freealut is a free implementation of OpenAL's ALUT standard.

%package -n %{lname}
Summary:        freealut is a free implementation of OpenAL's ALUT standard
Group:          System/Libraries

%description -n %{lname}
freealut is a free implementation of OpenAL's ALUT standard.

%package devel
Summary:        Static libraries, header files and tests for openal library
Group:          Development/Libraries/C and C++
Requires:       %{lname} = %{version}
Requires:       glibc-devel

%description devel
OpenAL is an audio library designed in the spirit of OpenGL - machine
independent, cross platform, and data format neutral, with a clean,
simple C-based API.

%prep
%setup -q

%build
%cmake \
  -DBUILD_STATIC=OFF \
  -DWARNINGS=OFF \
  -DOPTIMIZATION=OFF \
  -Wno-dev
%make_jobs

%install
%cmake_install
# FIXME: should be fixed upstream
%if %__isa_bits == 64
mv %{buildroot}/usr/lib/ %{buildroot}/%{_libdir}
%endif

%post -n %{lname} -p /sbin/ldconfig
%postun -n %{lname} -p /sbin/ldconfig

%files -n %{lname}
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/libalut.so.%{sover}*

%files devel
%{_bindir}/*-config
%{_includedir}/AL
%{_libdir}/libalut.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Mon Mar 26 2018 crrodriguez@opensuse.org
- turn WARNINGS and OPTIMIZATION CMAKE options off, this
  disables -ansi again and sets uses only the distribution
  default CFLAGS.
* Fri Nov  3 2017 mpluskal@suse.com
- Switch to cmake build
- Drop not needed freealut-noansiflag.patch
* Sun Jan  6 2013 reddwarf@opensuse.org
- Removed absurd libopenal1 BuildRequires
- Use pkgconfig(openal) BuildRequires instead of the package name
- Removed openal:/usr/include/AL/alut.h Provides from very old
  package split
- Delete manual -devel requirement specification since they are
  added automatically through rpm/pkgconfig magic
* Wed Dec 26 2012 joop.boonen@opensuse.org
- openal-devel is now called openal-soft-devel
- cleaned the spec file a bit up
* Sun Nov 25 2012 jengelh@inai.de
- Employ shared library packaging guidelines
- Parallel build with %%_smp_mflags
- Require pkgconfig so that automatic Provides work
- Remove redundant sections/tags from specfile
* Thu May 10 2012 crrodriguez@opensuse.org
- Do not use -ansi as default dialect.
* Tue Dec 20 2011 coolo@suse.com
- remove call to suse_update_config (very old work around)
* Fri Dec 18 2009 jengelh@medozas.de
- Package baselibs.conf file
* Mon May 18 2009 cmorve69@yahoo.es
- Add baselibs.conf file
* Thu Jan  8 2009 crrodriguez@suse.de
- supress static libraries
* Tue Oct 31 2006 meissner@suse.de
- use RPM_OPT_FLAGS
* Mon Oct 23 2006 ro@suse.de
- created package (branch from openal)
- added split-provides from openal-devel
